Bug 132121 - archexec script not in XFree86-devel package
Summary: archexec script not in XFree86-devel package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: XFree86
Version: 3.0
Hardware: x86_64
OS: Linux
medium
low
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: FC3Target
TreeView+ depends on / blocked
 
Reported: 2004-09-08 23:31 UTC by Jan Houstek
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-15 06:56:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:478 normal SHIPPED_LIVE Moderate: XFree86 security update 2004-10-04 04:00:00 UTC

Description Jan Houstek 2004-09-08 23:31:57 UTC
Description of problem:
archexec script introduced in version 4.3.0-68.EL is not in
XFree86-devel package, but in XFree86. gccmakedep and xft-config
(which are symlinks to archexec) doesn't work without X-server installed.

Version-Release number of selected component (if applicable):
XFree86-devel-4.3.0-68.EL

How reproducible:
Always

Steps to Reproduce:
1. install XFree86-devel and not XFree86
2. try to run /usr/X11R6/bin/gccmakedep


Actual Results:  bash: /usr/X11R6/bin/gccmakedep: No such file or
directory

Expected Results:  Empty output and 0 exit code.

Additional info:

A simple workaround is to put archexec from XFree86 package in
/usr/X11R6/bin by hand.

Comment 3 Mike A. Harris 2004-09-09 21:58:42 UTC
archexec ultimately should be in "coreutils" IMHO, but there was
no time to persue that.  It's of general purpose, so I stuck it in
the X server subpackage as most people likely have that installed,
however I didn't add the necessary dependancy.  I guess for the
current purpose of the specific issue it was designed to resolve
however, it makes the most sense to move it to XFree86-devel and
xorg-x11-devel.

Thanks for the report.

Comment 4 Mike A. Harris 2004-09-09 22:11:54 UTC
Update:  Fixed in xorg-x11 6.8.0-1 rpm internally for rawhide.
Still need to update the XFree86 rpms for RHEL3.

Comment 5 Mike A. Harris 2004-09-15 06:56:17 UTC
Updated for RHEL3, and will be in next update that gets released
for RHEL3, very soon.  Closing as "ERRATA".

Comment 6 Josh Bressers 2004-10-04 15:52:53 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-478.html



Note You need to log in before you can comment on or make changes to this bug.